.team-member {
	padding: 1em 0 2em;
}

.team-member__container {
	z-index: 2;
}

.team-member__col {
	margin-top: 1.5em;
}

.team-member__label {
	text-transform: uppercase;
}

.team-member__description {
	font-size: 0.85rem;

	& * {
		&:nth-child(-n + 1) {
			margin-top: 0;
		}
	}
}

.team-member--white {
	background: var(--white);

	& .team-member__col--header {
		color: var(--dark);
	}

	& .team-member__col--description {
		color: var(--dark);
	}

	&.team-member--item-style-1 {
		& .team-member__content {
			color: var(--dark);
		}
	}
}

.team-member--dark {
	background: var(--dark);

	& .team-member__col--header {
		color: var(--white);
	}

	& .team-member__col--description {
		color: var(--white);
	}

	&.team-member--item-style-1 {
		& .team-member__content {
			color: var(--white);
		}
	}
}

.team-member--light {
	background: var(--primary-light);
}

.team-member--black {
	background: var(--black);

	& .team-member__col--header {
		color: var(--white);
	}

	& .team-member__col--description {
		color: var(--white);
	}

	&.team-member--item-style-1 {
		& .team-member__content {
			color: var(--white);
		}
	}

	&.team-member--item-style-4 {
		& .team-member__content {
			color: var(--white);
		}
	}
}

.team-member--secondary {
	background: var(--secondary);

	& .team-member__col--header {
		color: var(--white);
	}

	& .team-member__col--description {
		color: var(--white);
	}

	&.team-member--item-style-1 {
		& .team-member__content {
			color: var(--white);
		}
	}

	&.team-member--item-style-4 {
		& .team-member__content {
			color: var(--white);
		}
	}
}

.team-member--primary {
	background: var(--primary);

	& .team-member__col--header {
		color: var(--white);
	}

	& .team-member__col--description {
		color: var(--white);
	}

	&.team-member--item-style-1 {
		& .team-member__content {
			color: var(--white);
		}
	}

	&.team-member--item-style-4 {
		& .team-member__content {
			color: var(--white);
		}
	}
}

.team-member--gray {
	background: var(--gray);

	& .team-member__col--header {
		color: var(--white);
	}

	& .team-member__col--description {
		color: var(--white);
	}

	&.team-member--item-style-1 {
		& .team-member__content {
			color: var(--white);
		}
	}

	&.team-member--item-style-4 {
		& .team-member__content {
			color: var(--white);
		}
	}
}

.team-member__col--items {
	width: 100%;

	& .flickity-prev-next-button {
		border-radius: 50%;

		& .flickity-button-icon {
			left: 30%;
			top: 30%;
			width: 40%;
			height: 40%;
		}

		&.previous {
			left: -20px;
		}

		&.next {
			right: -20px;
		}
	}
}

.is-initialized {
	& .team-member__item {
		height: 100%;
		display: flex;
		flex-direction: column;
	}

	& .team-member__inner {
		display: flex;
		justify-content: flex-start;
		flex: 1 1 0;
		flex-direction: column;
	}
}

.team-member__item {
	width: 50%;

	& .team-member__image {
		overflow: hidden;

		& .image__img {
			transition: all 0.5s;
		}
	}

	&:hover {
		& .image__img {
			transform: scale(1.1);
		}
	}

	@media (--m) {
		width: 25%;
	}
}

.team-member__content {
	padding: 0.5em 1em;
}

.team-member__item-title {
	font-size: 1.25rem;
}

.team-member__item-sub-title {
	margin-top: 0.5em;
}

.team-member__item-description {
	margin-top: 0.5em;
}

.team-member__image {
	@mixin ratio 1/1;
}

.team-member--style-1 {
	& .team-member__col--header {
		width: 50%;
		order: 1;
	}

	& .team-member__col--description {
		width: 100%;
		order: 3;
	}

	& .team-member__col--cta {
		width: 50%;
		order: 2;
		text-align: right;
	}

	& .team-member__col--items {
		order: 4;
	}

	@media (--m) {
		& .team-member__col--header {
			width: 30%;
		}

		& .team-member__col--cta {
			width: 25%;
			order: 3;
		}

		& .team-member__col--description {
			width: 45%;
			order: 2;
		}
	}
}

.team-member--style-2 {
	& .team-member__col {
		width: 100%;
		text-align: center;
	}
}

.team-member--style-3 {
	& .team-member__col {
		width: 100%;
		text-align: center;
	}

	& .team-member__col--cta {
		order: 4;
	}
}

.team-member--style-4 {
	& .team-member__col--header {
		width: 100%;
		order: 1;

		@media (--m) {
			width: 50%;
		}
	}

	& .team-member__col--description {
		width: 100%;

		@media (--m) {
			width: 50%;
			order: 2;
		}
	}

	& .team-member__col--items {
		order: 3;
	}

	& .team-member__col--cta {
		order: 4;
		text-align: center;
		width: 100%;
	}
}

.team-member--items-row {
	& .team-member__items {
		display: flex;
		flex-wrap: wrap;
		margin: 0 calc(-1 * var(--grid-gutter));

		& .team-member__item {
			padding: 0 var(--grid-gutter-m);
			display: flex;
			flex-direction: column;
			margin-top: 1.5em;
		}

		& .team-member__inner {
			height: 100%;
			flex-direction: column;
			display: flex;
		}

		& .team-member__content {
			flex-grow: 1;
		}
	}
}

.team-member--column-5 {
	& .team-member__item {
		width: 100%;

		@media (--m) {
			width: 20%;
		}
	}
}

.team-member--column-4 {
	& .team-member__item {
		width: 100%;

		@media (--m) {
			width: 25%;
		}
	}
}

.team-member--column-3 {
	& .team-member__item {
		width: 100%;

		@media (--m) {
			width: 33.33333%;
		}
	}
}

.team-member--column-2 {
	& .team-member__item {
		width: 100%;

		@media (--m) {
			width: 50%;
		}
	}
}

.team-member--column-1 {
	& .team-member__item {
		width: 100%;
	}
}

.team-member--item-style-1 {
	& .team-member__inner {
		& .team-member__image {
			width: 80%;
			margin: auto;
			overflow: hidden;
			border-radius: 50%;
		}

		& .team-member__content {
			margin-top: 1em;
			text-align: center;
		}
	}
}

.team-member--item-style-2 {
	& .team-member__inner {
		background: var(--white);
		padding: 1em;
	}

	& .team-member__item-title {
		color: var(--secondary);
	}

	& .team-member__content {
		flex-grow: 1;
		display: flex;
		flex-direction: column;
		text-align: left;
	}
}

.team-member--item-style-3 {
	& .team-member__inner {
		position: relative;

		& .team-member__content {
			position: absolute;
			width: 100%;
			bottom: 0;
			left: 0;
			background: linear-gradient(
				0deg,
				rgba(0, 0, 0, 1) 0%,
				rgba(0, 0, 0, 0.6) 50%,
				rgba(0, 0, 0, 0) 100%
			);
			color: var(--white);
			z-index: 2;
			text-align: left;
		}
	}
}

.team-member--item-style-4 {
	& .team-member__items {
		& .team-member__inner {
			flex-wrap: wrap;
			flex-direction: row;
			align-items: center;
			align-self: center;
			vertical-align: middle;
			width: 100%;
		}

		& .team-member__image {
			width: 30%;
			border-radius: 50%;
			overflow: hidden;
		}

		& .team-member__content {
			width: 70%;
			text-align: left;
		}
	}
}

.team-member--item-style-5 {
	& .team-member__items {
		& .team-member__inner {
			position: relative;
		}

		& .team-member__image {
			width: 40%;
		}

		& .team-member__content {
			width: 60%;
			position: absolute;
			background: var(--white);
			z-index: 2;
			top: 50%;
			transform: translateY(-50%);
			right: 20px;
			padding: 1.5em 1em;
			max-height: 100%;
			overflow: hidden;
			text-align: left;

			& .team-member__item-sub-title {
				color: var(--secondary);
			}
		}
	}
}
